RSAPrivateCrtKey (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: java.security.interfaces, interface: RSAPrivateCrtKey
Keywords: java.security.interfaces.RSAPrivateCrtKey interface

# Interface RSAPrivateCrtKey

All Superinterfaces:
  `AsymmetricKey, DEREncodablePREVIEW, Destroyable, Key, PrivateKey, RSAKey, RSAPrivateKey, Serializable`

public interface RSAPrivateCrtKey extends RSAPrivateKey
The interface to an RSA private key, as defined in the PKCS#1 v2.2 standard, using the Chinese Remainder Theorem (CRT) information values.

Since:
  1.2
External Specifications
  - RFC 8017: PKCS #1: RSA Cryptography Specifications Version 2.2
See Also:
  - `RSAPrivateKey`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `serialVersionUID`
  Deprecated.
  A `serialVersionUID` field in an interface is ineffectual.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigInteger`
  `getCrtCoefficient()`
  Returns the crtCoefficient.
  `BigInteger`
  `getPrimeExponentP()`
  Returns the primeExponentP.
  `BigInteger`
  `getPrimeExponentQ()`
  Returns the primeExponentQ.
  `BigInteger`
  `getPrimeP()`
  Returns the primeP.
  `BigInteger`
  `getPrimeQ()`
  Returns the primeQ.
  `BigInteger`
  `getPublicExponent()`
  Returns the public exponent.

  ### Methods declared in interface Destroyable

  `destroy, isDestroyed`
  Modifier and Type
  Method
  Description
  `default void`
  `destroy()`
  Destroy this `Object`.
  `default boolean`
  `isDestroyed()`
  Determine if this `Object` has been destroyed.

  ### Methods declared in interface Key

  `getAlgorithm, getEncoded, getFormat`
  Modifier and Type
  Method
  Description
  `String`
  `getAlgorithm()`
  Returns the standard algorithm name for this key.
  `byte[]`
  `getEncoded()`
  Returns the key in its primary encoding format, or `null` if this key does not support encoding.
  `String`
  `getFormat()`
  Returns the name of the primary encoding format of this key, or `null` if this key does not support encoding.

  ### Methods declared in interface RSAKey

  `getModulus`
  Modifier and Type
  Method
  Description
  `BigInteger`
  `getModulus()`
  Returns the modulus.

  ### Methods declared in interface RSAPrivateKey

  `getParams, getPrivateExponent`
  Modifier and Type
  Method
  Description
  `default AlgorithmParameterSpec`
  `getParams()`
  Returns the parameters associated with this key.
  `BigInteger`
  `getPrivateExponent()`
  Returns the private exponent.

- ## Field Details

  - ### serialVersionUID

    @Deprecated static final long serialVersionUID
    Deprecated.
    A `serialVersionUID` field in an interface is ineffectual. Do not use; no replacement.
    The type fingerprint that is set to indicate serialization compatibility with a previous version of the type.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getPublicExponent

    BigInteger getPublicExponent()
    Returns the public exponent.
    Returns:
      the public exponent

  - ### getPrimeP

    BigInteger getPrimeP()
    Returns the primeP.
    Returns:
      the primeP

  - ### getPrimeQ

    BigInteger getPrimeQ()
    Returns the primeQ.
    Returns:
      the primeQ

  - ### getPrimeExponentP

    BigInteger getPrimeExponentP()
    Returns the primeExponentP.
    Returns:
      the primeExponentP

  - ### getPrimeExponentQ

    BigInteger getPrimeExponentQ()
    Returns the primeExponentQ.
    Returns:
      the primeExponentQ

  - ### getCrtCoefficient

    BigInteger getCrtCoefficient()
    Returns the crtCoefficient.
    Returns:
      the crtCoefficient